/*
 * fml_gpio.c
 *
 *  Created on: 2025年4月8日
 *      Author: 22332
 */
#include <stdio.h>
#include "cola_init.h"
#include "cola_device.h"
#include "cola_os.h"
#include "fml_gpio.h"
extern void logWrite(const char *fmt, ...);

static cola_device_t *g_pDevgpio = NULL;

int fml_gpio_read(uint8_t pos)
{
	return cola_device_read(g_pDevgpio,pos,0,0);;
}

void fml_gpio_write(uint8_t pos,bool status)
{
	cola_device_write(g_pDevgpio,pos,0,status);
}
void fml_gpio_init(void)
{
	g_pDevgpio = cola_device_find("GPIO");
    if(g_pDevgpio)
        cola_device_open(g_pDevgpio, 0);

}

